//////////////////////////////////////////////////////////////////////
//
// stereo.h : Stereo acquisition and computation
// 2005 by Luca Iocchi
//
//////////////////////////////////////////////////////////////////////

#ifndef __VIDERESTEREODEVICE_H__
#define __VIDERESTEREODEVICE_H__

#include "StereoDevice.h"

class VidereStereoDevice : public StereoDevice
{
 public:
	VidereStereoDevice();
	virtual ~VidereStereoDevice();
	virtual bool init();
	virtual bool ready();
	virtual bool getFrame();
	virtual void done();

	bool init(int w, int h, int fps=15, bool rect=true);
 private:
  svsVideoImages *videosource;
};




#endif
